Bug 891943 - fedup --network fails miserably on systems with low disk space [NEEDINFO]
fedup --network fails miserably on systems with low disk space
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fedup (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
:
: 989287 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-04 10:22 EST by Stefan Becker
Modified: 2013-12-28 13:51 EST (History)
10 users (show)

See Also:
Fixed In Version: fedup-0.8.0-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-19 02:20:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
unixbhaskar: needinfo? (extras-qa)
unixbhaskar: needinfo? (extras-qa)


Attachments (Terms of Use)
/var/log/upgrade.log from last failed attempt (128.66 KB, text/plain)
2013-01-05 08:30 EST, Stefan Becker
no flags Details
fedup debug log from all attempts (5.04 MB, text/plain)
2013-01-05 08:40 EST, Stefan Becker
no flags Details

  None (edit)
Description Stefan Becker 2013-01-04 10:22:40 EST
Description of problem:

fedup --network has three major problems on systems with low disk space

 a) it wastes space:

/var/tmp/fedora-upgrade -> download area for fedup-cli 
/var/lib/fedora-upgrade -> upgrade area for fedup-dracut

The temporary area is not removed after setup, thus reducing the space available during installation. This could be circumvented with

 - provide a "download directory" option, so the user can put the download directory on another partition with enough space [PREFERRED]

 - delete the download area after fedup-cli has finished (not so nice if something fails and you need to re-run fedup -> it will download everything again)


 b) /var/lib/fedora-upgrade must be on /, because otherwise it is not visible during fedup-dracut phase [This is my guess, because when I tried a symlink to a free partition it failed immediately. I didn't know how to check for error messages]

 - it should be possible to specify an alternative upgrade location on a separate partition which fedup-dracut should then be able to mount using /etc/fstab on /


 c) the transaction & install check doesn't do a correct size check, i.e. fedup can complete successfully, but fedup-dracut still failed to run yum [again, a guess here, because I don't see any error messsages]
[NOTE: fedup-dracut now runs on my system after I had created 1.5GB free space on the 9.9GB / with about 1800 packages to upgrade, so I think out-of-space was the real error in the previous attempts]

Version-Release number of selected component (if applicable): 0.7.2-1.fc17
Comment 1 Stefan Becker 2013-01-05 08:30:52 EST
Created attachment 672829 [details]
/var/log/upgrade.log from last failed attempt

I just found out that fedup-dracut does write a log file and luckily the one from the last failed failed was preserved as /var/log/upgrade.log.old. According to the log about 120MB were missing on / to complete the upgrade:

Jan 04 14:53:04 stefanb-lnx.NVIDIA.COM upgrade[1055]: installing package samba-libs-2:4.0.0-168.fc18.rc5.i686 needs 119MB on the / filesystem
Jan 04 14:53:04 stefanb-lnx.NVIDIA.COM upgrade[1055]: installing package samba-common-2:4.0.0-168.fc18.rc5.i686 needs 119MB on the / filesystem
Comment 2 Stefan Becker 2013-01-05 08:40:06 EST
Created attachment 672830 [details]
fedup debug log from all attempts

... and fedup-cli is so nice not to overwrite the debug log, so the attached file contains all failed attempts and the final successful one. The attempt corresponding to the last failed one is:

 line 25708: /bin/fedup starting at Fri Jan  4 16:49:10 2013

The successful update attempt are the next two (I ran it twice to make sure it did run the yum transaction check):

 line 35179: /bin/fedup starting at Fri Jan  4 16:58:56 2013
 line 44524: /bin/fedup starting at Fri Jan  4 17:00:27 2013
Comment 3 Will Woods 2013-01-23 14:33:18 EST
(In reply to comment #0)
> Description of problem:
> 
> fedup --network has three major problems on systems with low disk space
> 
>  a) it wastes space:
> 
> /var/tmp/fedora-upgrade -> download area for fedup-cli 
> /var/lib/fedora-upgrade -> upgrade area for fedup-dracut

The packages in /var/lib/fedora-upgrade are normally hardlinks, which don't use any extra disk space. (But see below)

>  b) /var/lib/fedora-upgrade must be on /, because otherwise it is not
> visible during fedup-dracut phase [This is my guess, because when I tried a
> symlink to a free partition it failed immediately. I didn't know how to
> check for error messages]

Nope. It just has to be on a partition that gets mounted at system startup - i.e. anything not marked "noauto" in /etc/fstab should be fine.

It should be on the same partition as /var/tmp/fedora-upgrade, though. Otherwise hardlinks won't work, and the files will instead be *copied* to /var/lib/fedora-upgrade, which *does* waste disk. So don't do that.

>  - it should be possible to specify an alternative upgrade location on a
> separate partition which fedup-dracut should then be able to mount using
> /etc/fstab on /

Sure, that's a good idea.

>  c) the transaction & install check doesn't do a correct size check, i.e.
> fedup can complete successfully, but fedup-dracut still failed to run yum
> [again, a guess here, because I don't see any error messsages]
> [NOTE: fedup-dracut now runs on my system after I had created 1.5GB free
> space on the 9.9GB / with about 1800 packages to upgrade, so I think
> out-of-space was the real error in the previous attempts]

It does the same space check in both cases; it just asks RPM to do a test transaction and tell us if there's enough disk space. RPM apparently gives different answers in different environments.

Also, RPM's estimates are unavoidably inaccurate, because it's impossible to predict how much data will be written to disk by %pre/%post scripts.

We *can* pad the estimates so you're more likely get the "You don't have enough disk space" error message from fedup, I suppose.
Comment 4 markusN 2013-02-24 11:52:03 EST
A new "download directory" option would be nice to avoid a mess
with low-on-space root partitions.
Comment 5 Stefan Becker 2013-06-01 17:06:48 EDT
Same problem with F18 -> F19 Beta update.

But at least I figured out the symlink problem. I was using absolute paths (fedora-upgrade -> /var/...), but during system boot /var is mounted under /sysroot/var. After changing the symlink to /sysroot/var the fedup install went through fine.

Of course afterwards I realized that using a relative symlink would have solved the problem too.

Why do I need to go through these hoops? Because I don't have an empty partition. So I have to create sub-directories on the additional partition and create symlinks from /var/tmp & /var/lib for fedup.

All of this would be easier if this would be automated by fedup...
Comment 6 geehalel 2013-07-25 12:56:46 EDT
I was in the same situation of low disk space and freed enough room so fedup-cli did not complain any more. I rebooted and started the upgrade but there was still not enough room according to upgrade, so it stopped. 

The problem is that upgrade-post has removed all the downloaded packages, so I should restart downloading (2GBytes@1.5Mbits/s took 4 hours). The good thing is that it leaves the system in its previous state.
Here is the interesting part of /var/log/upgrade.log 

Jul 24 21:36:59 upgrade[670]: starting upgrade...
Jul 24 21:37:00 upgrade[670]: preparing RPM transaction, one moment...
Jul 24 21:37:30  upgrade[670]: ERROR: upgrade failed due to the following problems:
Jul 24 21:37:30  upgrade[670]: installing package kicad2013.06.11-1.rev4021.fc19.x86_64 needs 75MB on the / filesystem
....
Jul 24 21:37:30 upgrade-post[677]: starting upgrade-post hook
Jul 24 21:37:51 upgrade-post[677]: resetting bootloader config
Jul 24 21:37:51 upgrade-post[677]: removing boot images
Jul 24 21:37:51 upgrade-post[677]: removing downloaded packages
Jul 24 21:37:51 upgrade-post[677]: removing miscellaneous files
Jul 24 21:37:51 upgrade-post[677]: .---. __

Maybe a return code from upgrade could be used before removing everything.
Comment 7 Dimitrios Apostolou 2013-08-30 12:02:32 EDT
Encountered similar problems. I was getting the dreaded "package needs x MB on the filesystem" message and had to resort to hacks:

* Symlinked /var/tmp/fedora-upgrade to a directory in another partition. It would be nice if fedup had an option to provide the temporary directory.

* Preparation was successful but after reboot I got the same message. It was pretty bothersome to find out that fedup hard-links all files to /var/lib/fedora-upgrade as well, but because of different partition it actually copied them back to root filesystem!

It would be nice if fedup used only one dir, no hardlinks anywhere. Also it would be nice to *not* clean-up everything after failing to install. My system is very old and internet connection is slow so it takes long to prepare the upgrade.

I've now symlinked both directories to the same filesystem and re-preparing the upgrade, hopefully it will succeed.
Comment 8 Sergio Monteiro Basto 2013-09-15 16:33:44 EDT
*** Bug 989287 has been marked as a duplicate of this bug. ***
Comment 9 Sergio Monteiro Basto 2013-09-15 16:39:30 EDT
Fedup creates /var/tmp/fedora-upgrade and /var/lib/fedora-upgrade which is in my case is in /root partition, I only have 2.9G in free space, but I need almost 8G, 

Fedup fails on download with: no free space, after move 4 gigas of download stuff to other partition, I got another no free space but this time on install phase.  

So I suggest one simple check, if we have double free space of what rpms we need to installed in system and if not, give an warning immediately, with estimation of the space we need, instead of trying install it with less of half that is need . 

Version-Release number of selected component: fedup-0.7.3-4.
Comment 10 Sergio Monteiro Basto 2013-09-15 17:00:02 EDT
or as I wrote in my bug report title, fedup should check free space on /var/tmp/fedora-upgrade and /var/lib/fedora-upgrade before start.
Comment 11 Stefan Becker 2013-11-17 09:56:51 EST
Just upgraded the system from F19 to F20 Beta. fedup still doesn't have the option.

This time I created the relative symbolic links before starting fedup and the system update went through without a hitch.
Comment 12 Fedora Update System 2013-12-11 17:11:15 EST
fedup-0.8.0-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/fedup-0.8.0-3.fc19
Comment 13 Fedora Update System 2013-12-11 17:19:36 EST
fedup-0.8.0-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/fedup-0.8.0-3.fc20
Comment 14 Fedora Update System 2013-12-11 17:21:22 EST
fedup-0.8.0-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/fedup-0.8.0-3.fc18
Comment 15 Fedora Update System 2013-12-13 00:08:24 EST
Package fedup-0.8.0-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fedup-0.8.0-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-23316/fedup-0.8.0-3.fc19
then log in and leave karma (feedback).
Comment 16 Fedora Update System 2013-12-19 02:20:41 EST
fedup-0.8.0-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2013-12-19 20:43:36 EST
fedup-0.8.0-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2013-12-22 00:33:41 EST
fedup-0.8.0-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Bhaskar Chowdhury 2013-12-23 08:46:03 EST
it is still bugging me ..I am doing a forth attempt..really frustrating...running out of disk space..although I have enough...think this needs bit of attention.
Comment 20 Bhaskar Chowdhury 2013-12-23 09:15:59 EST
fedup.cli INFO: download sgml-common-0.6.3-40.fc20.noarch.rpm
sgml-common-0.6.3-40.fc20.noar FAILED                                              4% [===                                                                     ]  182 B/s |  12 MB 379:00:50 ETA 
fedup.yum INFO: http://mirrors.hustunique.com/fedora/releases/20/Fedora/i386/os/Packages/s/sgml-common-0.6.3-40.fc20.noarch.rpm: [Errno 16] [Errno 28] No space left on device2 MB 379:00:50 ETA 
selinux-policy-doc-3.12.1-106. FAILED                                          
fedup.yum INFO: http://mirrors.hust.edu.cn/fedora/development/20/i386/os/Packages/s/selinux-policy-doc-3.12.1-106.fc20.noarch.rpm: [Errno 16] [Errno 28] No space left on deviceMB 379:00:50 ETA 
sgabios-bin-0.20110622svn-6.fc FAILED                                          
fedup.yum INFO: http://ftp.jaist.ac.jp/pub/Linux/Fedora/releases/20/Fedora/i386/os/Packages/s/sgabios-bin-0.20110622svn-6.fc20.noarch.rpm: [Errno 16] [Errno 28] No space left on device0:50 ETA 
sg3_utils-libs-1.37-2.fc20.i68 FAILED                                              4% [===                                                                     ]  147 B/s |  12 MB 469:13:57 ETA 
fedup.yum INFO: http://mirrors.vinahost.vn/fedora/linux/releases/20/Fedora/i386/os/Packages/s/sg3_utils-libs-1.37-2.fc20.i686.rpm: [Errno 16] [Errno 28] No space left on deviceMB 469:13:57 ETA 
fedup.cli INFO: download sgpio-1.2.0.10-12.fc20.i686.rpm
fedup.cli INFO: download shadow-utils-4.1.5.1-8.fc20.i686.rpm
fedup.cli INFO: download shared-desktop-ontologies-0.11.0-2.fc20.noarch.rpm
fedup.cli INFO: download shared-mime-info-1.2-1.fc20.i686.rpm
shared-mime-info-1.2-1.fc20.i6 FAILED                                              4% [===                                                                     ]  123 B/s |  12 MB 563:27:46 ETA 
fedup.yum INFO: http://mirrors.yun-idc.com/fedora/releases/20/Fedora/i386/os/Packages/s/shared-mime-info-1.2-1.fc20.i686.rpm: [Errno 16] [Errno 28] No space left on device  12 MB 563:27:46 ETA 
fedup.cli INFO: download sheepdog-0.3.0-5.fc20.i686.rpm
shared-desktop-ontologies-0.11 FAILED                                          
fedup.yum INFO: http://kartolo.sby.datautama.net.id/fedora/releases/20/Fedora/i386/os/Packages/s/shared-desktop-ontologies-0.11.0-2.fc20.noarch.rpm: [Errno 16] [Errno 28] No space left on device
fedup.cli INFO: download shotwell-0.15.1-1.fc20.i686.rpm
shadow-utils-4.1.5.1-8.fc20.i6 FAILED                                          
fedup.yum INFO: http://ftp.kaist.ac.kr/fedora/releases/20/Fedora/i386/os/Packages/s/shadow-utils-4.1.5.1-8.fc20.i686.rpm: [Errno 16] [Errno 28] No space left on device/s |  12 MB 563:27:46 ETA 
fedup.cli INFO: download sil-abyssinica-fonts-1.200-6.fc20.noarch.rpm
sheepdog-0.3.0-5.fc20.i686.rpm FAILED                                          
fedup.yum INFO: http://virror.hanoilug.org/fedora/releases/20/Fedora/i386/os/Packages/s/sheepdog-0.3.0-5.fc20.i686.rpm: [Errno 16] [Errno 28] No space left on device B/s |  12 MB 563:27:46 ETA 
fedup.cli INFO: download sil-padauk-fonts-2.8-5.fc20.noarch.rpm
sil-padauk-fonts-2.8-5.fc20.no FAILED                                              4% [===                                                                     ]  109 B/s |  12 MB 633:22:07 ETA 
fedup.yum INFO: http://mirror-fpt-telecom.fpt.net/fedora/releases/20/Fedora/i386/os/Packages/s/sil-padauk-fonts-2.8-5.fc20.noarch.rpm: [Errno 16] [Errno 28] No space left on device33:22:07 ETA 
fedup.cli INFO: download simple-scan-3.10.0-1.fc20.i686.rpm
shotwell-0.15.1-1.fc20.i686.rp FAILED                                              4% [===                                                                     ]   93 B/s |  12 MB 739:59:59 ETA 
fedup.yum INFO: http://download.fedoraproject.org/pub/fedora/linux/updates/20/i386/shotwell-0.15.1-1.fc20.i686.rpm: [Errno 16] [Errno 28] No space left on device  93 B/s |  12 MB 739:59:59 ETA 
fedup.cli INFO: download slang-2.2.4-11.fc20.i686.rpm
sil-abyssinica-fonts-1.200-6.f FAILED                                          
fedup.yum INFO: http://kambing.ui.edu/fedora/releases/20/Fedora/i386/os/Packages/s/sil-abyssinica-fonts-1.200-6.fc20.noarch.rpm: [Errno 16] [Errno 28] No space left on device2 MB 739:59:59 ETA 
fedup.cli INFO: download slv2-0.6.6-13.fc20.i686.rpm
simple-scan-3.10.0-1.fc20.i686 FAILED                                              4% [===                                                                     ]   84 B/s |  12 MB 821:36:59 ETA 
fedup.yum INFO: http://www.ftp.ne.jp/Linux/distributions/fedora/releases/20/Fedora/i386/os/Packages/s/simple-scan-3.10.0-1.fc20.i686.rpm: [Errno 16] [Errno 28] No space left on device36:59 ETA 
fedup.cli INFO: download smbios-utils-2.2.28-9.fc20.i686.rpm
slang-2.2.4-11.fc20.i686.rpm   FAILED                                          
fedup.yum INFO: http://ftp.jaist.ac.jp/pub/Linux/Fedora/releases/20/Fedora/i386/os/Packages/s/slang-2.2.4-11.fc20.i686.rpm: [Errno 16] [Errno 28] No space left on device |  12 MB 821:36:59 ETA 
sgpio-1.2.0.10-12.fc20.i686.rp FAILED                                             4% [===                                                                     ]   57 B/s |  12 MB 1218:47:06 ETA 
fedup.yum INFO: http://mirrors.vinahost.vn/fedora/linux/releases/20/Fedora/i386/os/Packages/s/sgpio-1.2.0.10-12.fc20.i686.rpm: [Errno 16] [Errno 28] No space left on device12 MB 1218:47:06 ETA


Plus :

bhaskar@Fedora_19:45:20_Mon Dec 23:~> df -h
Filesystem                Size  Used Avail Use% Mounted on
/dev/sda6                  20G   11G  8.7G  55% /
devtmpfs                  1.6G     0  1.6G   0% /dev
tmpfs                     1.6G  368K  1.6G   1% /dev/shm
tmpfs                     1.6G  984K  1.6G   1% /run
tmpfs                     1.6G     0  1.6G   0% /sys/fs/cgroup
tmpfs                     1.6G  1.6G     0 100% /var/tmp
tmpfs                     1.6G  3.6M  1.6G   1% /tmp
/dev/mapper/home-home      48G   25G   21G  55% /home
/dev/mapper/data-lvmdata  113G  101G  6.1G  95% /lvm
/dev/sda2                 477M  162M  286M  37% /boot
Comment 21 Bhaskar Chowdhury 2013-12-23 09:22:06 EST
bhaskar@Fedora_19:45:22_Mon Dec 23:~> sudo rpm -qi fedup
[sudo] password for bhaskar: 
Name        : fedup
Version     : 0.8.0
Release     : 3.fc19
Architecture: noarch
Install Date: Fri 20 Dec 2013 06:07:59 PM IST
Group       : Unspecified
Size        : 242715
License     : GPLv2+
Signature   : RSA/SHA256, Thu 12 Dec 2013 08:52:34 PM IST, Key ID 07477e65fb4b18e6
Source RPM  : fedup-0.8.0-3.fc19.src.rpm
Build Date  : Wed 11 Dec 2013 05:33:27 AM IST
Build Host  : buildvm-08.phx2.fedoraproject.org
Relocations : (not relocatable)
Packager    : Fedora Project
Vendor      : Fedora Project
URL         : https://github.com/wgwoods/fedup
Summary     : The Fedora Upgrade tool
Description :
fedup is the Fedora Upgrade tool.
Comment 22 Stefano Tognon 2013-12-28 13:51:05 EST
I have the same problem from Fedora 18 to 19 (from 17 to 18 no problems, but fedup was 0.7, not the actual 0.8).

I partially resolve by making the softlink to /var/lib/system-upgrade and /var/tmp/system-upgrade in a free disk (/mnt/new2):

File system    1K-blocchi     Usati Disponib. Uso% Montato su
devtmpfs          4069936         0   4069936   0% /dev
tmpfs             4088852       160   4088692   1% /dev/shm
tmpfs             4088852      5004   4083848   1% /run
tmpfs             4088852         0   4088852   0% /sys/fs/cgroup
/dev/sda3        51474392  34864096  13972508  72% /
tmpfs             4088852      1304   4087548   1% /tmp
/dev/sdb1       961298760 128049868 784394620  15% /mnt/new2
/dev/sda2        51474392  48105008    731596  99% /mnt/system1
/dev/sda6       561479020 522384944  10549468  99% /mnt/new

Now I have 13,3GB free in root partition and fedup downloads all packages and prepare the system for the upgrade.

If I start the upgrade at reboot, the process terminates for no more space on root (?):

Dec 28 15:36:20 localhost.localdomain upgrade-pre[681]: starting upgrade-pre hook
Dec 28 15:36:20 localhost.localdomain systemd[1]: Started System Upgrade (pre).
Dec 28 15:36:20 localhost.localdomain systemd[1]: Starting System Upgrade...
Dec 28 15:36:20 localhost.localdomain upgrade[686]: starting upgrade hook
Dec 28 15:36:20 localhost.localdomain kernel: type=1404 audit(1388244980.278:9): enforcing=0 old_enforcing=1 auid=4294967295 ses=4294967295
Dec 28 15:36:20 localhost.localdomain upgrade[686]: preparing for upgrade...
Dec 28 15:36:20 localhost.localdomain upgrade[686]: found 3944 packages to install
Dec 28 15:36:20 localhost.localdomain upgrade[686]: building RPM transaction, one moment...
Dec 28 15:37:50 localhost.localdomain systemd[1]: upgrade-switch-root.service stopping timed out. Killing.
Dec 28 15:38:30 localhost.localdomain upgrade[686]: 3944 packages to install, 3738 to erase
Dec 28 15:38:30 localhost.localdomain upgrade[686]: checking RPM transaction...
Dec 28 15:38:37 localhost.localdomain upgrade[686]: starting upgrade...
Dec 28 15:38:37 localhost.localdomain upgrade[686]: preparing RPM transaction, one moment...
Dec 28 15:39:20 localhost.localdomain systemd[1]: upgrade-switch-root.service still around after SIGKILL. Ignoring.
Dec 28 15:39:35 localhost.localdomain upgrade[686]: ERROR: upgrade failed due to the following problems:
Dec 28 15:39:35 localhost.localdomain upgrade[686]: installing package python-libs-2.7.5-9.fc19.i686 needs 26MB on the / filesystem
Dec 28 15:39:35 localhost.localdomain upgrade[686]: installing package sane-backends-libs-1.0.24-7.fc19.i686 needs 26MB on the / filesystem
Dec 28 15:39:35 localhost.localdomain upgrade[686]: installing package alsa-plugins-pulseaudio-1.0.27-1.fc19.i686 needs 26MB on the / filesystem
Dec 28 15:39:35 localhost.localdomain upgrade[686]: installing package cryptsetup-libs-1.6.3-1.fc19.i686 needs 26MB on the / filesystem
Dec 28 15:39:35 localhost.localdomain upgrade[686]: installing package jack-audio-connection-kit-1.9.9.5-2.fc19.i686 needs 28MB on the / filesystem
Dec 28 15:39:35 localhost.localdomain upgrade[686]: installing package qt3-devel-3.3.8b-47.fc19.i686 needs 47MB on the / filesystem
Dec 28 15:39:35 localhost.localdomain upgrade[686]: installing package libnotify-0.7.5-5.fc19.i686 needs 47MB on the / filesystem
Dec 28 15:39:35 localhost.localdomain upgrade[686]: installing package libwmf-0.2.8.4-36.fc19.i686 needs 47MB on the / filesystem
Dec 28 15:39:35 localhost.localdomain upgrade[686]: installing package avahi-0.6.31-11.fc19.i686 needs 47MB on the / filesystem
Dec 28 15:39:35 localhost.localdomain upgrade[686]: installing package openni-1.3.2.1-7.fc19.i686 needs 49MB on the / filesystem
Dec 28 15:39:35 localhost.localdomain upgrade[686]: installing package gnome-keyring-pam-3.8.2-1.fc19.i686 needs 49MB on the / filesystem
Dec 28 15:39:35 localhost.localdomain upgrade[686]: installing package pyzy-0.1.0-6.fc19.i686 needs 49MB on the / filesystem
Dec 28 15:39:35 localhost.localdomain upgrade[686]: installing package libgnome-keyring-3.8.0-1.fc19.i686 needs 50MB on the / filesystem
Dec 28 15:39:35 localhost.localdomain upgrade[686]: installing package libsoup-2.42.2-5.fc19.i686 needs 50MB on the / filesystem
Dec 28 15:39:35 localhost.localdomain upgrade[686]: installing package esound-libs-1:0.2.41-8.fc19.i686 needs 51MB on the / filesystem
Dec 28 15:39:35 localhost.localdomain upgrade[686]: installing package js-1:1.8.5-13.fc19.i686 needs 54MB on the / filesystem
Dec 28 15:39:35 localhost.localdomain upgrade[686]: installing package SDL_mixer-1.2.12-4.fc19.i686 needs 54MB on the / filesystem
Dec 28 15:39:35 localhost.localdomain upgrade[686]: installing package SDL_ttf-2.0.11-3.fc19.i686 needs 54MB on the / filesystem
Dec 28 15:39:35 localhost.localdomain upgrade[686]: installing package libxslt-1.1.28-3.fc19.i686 needs 55MB on the / filesystem
Dec 28 15:39:35 localhost.localdomain upgrade[686]: installing package kmod-libs-14-1.fc19.i686 needs 55MB on the / filesystem
Dec 28 15:39:35 localhost.localdomain upgrade[686]: installing package libXmu-1.1.1-4.fc19.i686 needs 55MB on the / filesystem
Dec 28 15:39:35 localhost.localdomain upgrade[686]: installing package nas-libs-1.9.4-1.fc19.i686 needs 55MB on the / filesystem
Dec 28 15:39:35 localhost.localdomain upgrade[686]: installing package libXp-1.0.2-1.fc19.i686 needs 55MB on the / filesystem
Dec 28 15:39:35 localhost.localdomain upgrade[686]: installing package libavc1394-0.5.3-13.fc19.i686 needs 56MB on the / filesystem
Dec 28 15:39:35 localhost.localdomain upgrade[686]: installing package e2fsprogs-libs-1.42.7-2.fc19.i686 needs 56MB on the / filesystem
Dec 28 15:39:35 localhost.localdomain upgrade[686]: installing package tbb-4.0-9.20120408.fc19.i686 needs 56MB on the / filesystem
Dec 28 15:39:35 localhost.localdomain upgrade[686]: installing package libicu-50.1.2-9.fc19.i686 needs 81MB on the / filesystem
Dec 28 15:39:35 localhost.localdomain upgrade[686]: installing package soundtouch-1.4.0-7.fc19.i686 needs 82MB on the / filesystem
Dec 28 15:39:35 localhost.localdomain upgrade[686]: installing package compat-libstdc++-33-3.2.3-68.7.i686 needs 82MB on the / filesystem
Dec 28 15:39:35 localhost.localdomain upgrade[686]: installing package SDL2-2.0.1-2.fc19.i686 needs 83MB on the / filesystem
Dec 28 15:39:35 localhost.localdomain upgrade[686]: installing package libtimidity-0.1.0-12.fc19.i686 needs 84MB on the / filesystem
Dec 28 15:39:35 localhost.localdomain upgrade[686]: installing package tslib-1.0-6.fc19.i686 needs 84MB on the / filesystem
Dec 28 15:39:35 localhost.localdomain upgrade[686]: installing package wildmidi-libs-0.2.3.4-6.fc19.i686 needs 84MB on the / filesystem
Dec 28 15:39:35 localhost.localdomain upgrade[686]: installing package libgomp-4.8.2-7.fc19.i686 needs 84MB on the / filesystem
Dec 28 15:39:35 localhost.localdomain upgrade[686]: installing package libtalloc-2.0.8-2.fc19.i686 needs 84MB on the / filesystem
Dec 28 15:39:35 localhost.localdomain upgrade[686]: installing package libXdmcp-1.1.1-4.fc19.i686 needs 84MB on the / filesystem
Dec 28 15:39:35 localhost.localdomain upgrade[686]: installing package liboil-0.3.16-8.fc19.i686 needs 85MB on the / filesystem
Dec 28 15:39:35 localhost.localdomain upgrade[686]: installing package libdb4-4.8.30-10.fc19.i686 needs 86MB on the / filesystem
Dec 28 15:39:35 localhost.localdomain upgrade[686]: installing package libcap-ng-0.7.3-3.fc19.i686 needs 86MB on the / filesystem
Dec 28 15:39:35 localhost.localdomain kernel: type=1404 audit(1388245175.501:10): enforcing=1 old_enforcing=0 auid=4294967295 ses=4294967295
Dec 28 15:39:35 localhost.localdomain systemd[1]: Started System Upgrade.
Dec 28 15:39:35 localhost.localdomain systemd[1]: Starting System Upgrade (post)...
Dec 28 15:39:35 localhost.localdomain upgrade-post[695]: starting upgrade-post hook
Dec 28 15:39:39 localhost.localdomain upgrade-post[695]: fedup.util WARNING: failed to remove /var/tmp/system-upgrade: Cannot call rmtree on a symbolic link
Dec 28 15:39:39 localhost.localdomain upgrade-post[695]: fedup.util WARNING: failed to remove /var/lib/system-upgrade: Cannot call rmtree on a symbolic link
Dec 28 15:39:39 localhost.localdomain upgrade-post[695]: fedup.util WARNING: failed to remove /var/tmp/system-upgrade: Cannot call rmtree on a symbolic link
Dec 28 15:39:39 localhost.localdomain upgrade-post[695]: fedup.util WARNING: failed to remove /var/lib/system-upgrade: Cannot call rmtree on a symbolic link
Dec 28 15:39:39 localhost.localdomain upgrade-post[695]: resetting bootloader config
Dec 28 15:39:39 localhost.localdomain upgrade-post[695]: removing boot images
Dec 28 15:39:39 localhost.localdomain upgrade-post[695]: removing downloaded packages
Dec 28 15:39:39 localhost.localdomain upgrade-post[695]: removing miscellaneous files

It is a week I try every day to find a solution but the upgrade fails.

Note You need to log in before you can comment on or make changes to this bug.